Subject: bug#46092: [External] : bug#53507: 27.1; syntax highlight in the eval-expression prompt

From: ndame <[email-masked]>
Date: Thu, 27 Jan 2022 09:28:31 +0000

> Personally, even when I use `M-:' mainly for a side effect, I'm often  > interested in the resulting value as well. The` M-:' dialog could be
> improved in both ways.

I agree that when eval-expression outputs a non-trivial expression
then the output should be formatted properly and maybe it should
be popped to a  buffer, because the echo area is not suitable
for examining a complex expression when it disappears with the
next command.

Why don't you open a separate bug about this?